package com.kingdee.eas.custom.dormitorysystem.application;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractCheckInApplicationInfo extends com.kingdee.eas.hr.base.HRBillBaseInfo implements Serializable 
{
    public AbstractCheckInApplicationInfo()
    {
        this("id");
    }
    protected AbstractCheckInApplicationInfo(String pkField)
    {
        super(pkField);
        put("entrys", new com.kingdee.eas.custom.dormitorysystem.application.CheckInApplicationEntryCollection());
    }
    /**
     * Object: 入住申请单 's 分录 property 
     */
    public com.kingdee.eas.custom.dormitorysystem.application.CheckInApplicationEntryCollection getEntrys()
    {
        return (com.kingdee.eas.custom.dormitorysystem.application.CheckInApplicationEntryCollection)get("entrys");
    }
    /**
     * Object:入住申请单's 是否生成凭证property 
     */
    public boolean isFivouchered()
    {
        return getBoolean("Fivouchered");
    }
    public void setFivouchered(boolean item)
    {
        setBoolean("Fivouchered", item);
    }
    /**
     * Object:入住申请单's 宿舍管理说明property 
     */
    public String getManagementNotes()
    {
        return getString("managementNotes");
    }
    public void setManagementNotes(String item)
    {
        setString("managementNotes", item);
    }
    /**
     * Object:入住申请单's 错误信息property 
     */
    public String getErrorMsg()
    {
        return getString("errorMsg");
    }
    public void setErrorMsg(String item)
    {
        setString("errorMsg", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("412D7440");
    }
}